﻿using Hotline.Share.Dtos.Order;
using Sharing.Province.HuiJu.Send;

namespace Sharing.Api
{
    /// <summary>
    /// 
    /// </summary>
    public interface IProvinceService
    {
        /// <summary>
        /// 数据处理
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task<SubmitCaseInfo> InitData(OrderDto dto);

        /// <summary>
        /// 服务工单回访评价
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitVisitInfo(PublishVisitDto dto);

        /// <summary>
        /// 服务工单处理
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseProcess(OrderFlowDto dto);

        /// <summary>
        /// 服务工单结果
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseResult(OrderFlowDto dto);

        /// <summary>
        /// 服务工单拓展信息
        /// </summary>
        /// <param name="dto"></param>
        /// <returns></returns>
        Task SubmitCaseExtends(OrderDto dto);
    }
}
